Ask Your Question
0

SBPL -can't find package

asked 2019-05-20 10:52:52 -0500

Kora11101 gravatar image

updated 2019-05-20 11:18:33 -0500

jayess gravatar image

Hi, after installing all the packages connected with Dwa_local_planner, including those:

http://github.com/ros-planning/navigation_msgs (new in Jade+)
http://github.com/ros-planning/navigation_tutorials
http://github.com/ros-planning/navigation_experimental

I have errors after catkin_make:

By not providing "FindSBPL.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "SBPL", but
  CMake did not find one.

  Could not find a package configuration file provided by "SBPL" with any of
  the following names:

    SBPLConfig.cmake
    sbpl-config.cmake

  Add the installation prefix of "SBPL" to CMAKE_PREFIX_PATH or set
  "SBPL_DIR" to a directory containing one of the above files.  If "SBPL"
  provides a separate development package or SDK, be sure it has been
  installed.

How can I fix it?

Thanks!

edit retag flag offensive close merge delete

Comments

1

Can you please clarify why you are trying to install these packages by compiling them from source in your Catkin workspace instead of using the released binaries (and apt)?

gvdhoorn gravatar image gvdhoorn  ( 2019-05-20 11:03:29 -0500 )edit

I made git clone ... Should I use sudo apt-get? I don't understand the question :)

Kora11101 gravatar image Kora11101  ( 2019-05-20 11:10:14 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2019-05-20 11:12:46 -0500

gvdhoorn gravatar image

updated 2019-05-20 11:22:58 -0500

Which packages do you want to install? Just the names, no git repositories.

Packages which have been released have binary .deb packages available. There is no need to compile those yourself. Typically.

after installing all the packages connected with Dwa_local_planner, including those:

http://github.com/ros-planning/navigation_msgs (new in Jade+)
http://github.com/ros-planning/navigation_tutorials
http://github.com/ros-planning/navigation_experimental

You write "installing", but I believe you mean git clone-ing (into your Catkin workspace).

For dwa_local_planner specifically, that would seem to be unnecessary: wiki/dwa_local_planner. Note how it says Released and Documented under the Package Summary heading.

A simple sudo apt update && sudo apt install ros-kinetic-dwa-local-planner should suffice.

edit flag offensive delete link more

Comments

Okey then, I won't use catkin_make. Thank you!

Kora11101 gravatar image Kora11101  ( 2019-05-20 11:14:59 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-05-20 10:52:52 -0500

Seen: 351 times

Last updated: May 20 '19